package com.zd.exam.domain.dto;

import cn.hutool.core.date.DateUtil;
import com.zd.exam.domain.ElPointsRecord;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;


/**
 * @Author: zhoupan
 * @Date: 2021/09/07/13:16
 * @Description:
 */
public class ElPointsRecordDTO extends ElPointsRecord {

    private String beginTime;

    private String endTime;

    /**
     * 积分记录所属用户姓名
     */
    private String userName;

    private Integer appPageNum;

    private Integer appPageSize;

    private String order;

    private String orderType;

    private Long pointsType;


    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getAppPageNum() {
        return appPageNum;
    }

    public void setAppPageNum(Integer appPageNum) {
        this.appPageNum = appPageNum;
    }

    public Integer getAppPageSize() {
        return appPageSize;
    }

    public void setAppPageSize(Integer appPageSize) {
        this.appPageSize = appPageSize;
    }

    public String getOrder() {
        return order;
    }

    public void setOrder(String order) {
        this.order = order;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }


    public Long getPointsType() {
        return pointsType;
    }

    public void setPointsType(Long pointsType) {
        this.pointsType = pointsType;
    }
}
